<html>

<head>

<script type="text/javascript">
function constructMessage(firstName, lastName)
{
  return "Hello " + firstName + " " + lastName;
}

function displayMessage(firstName, lastName)
{
  var msg = constructMessage(firstName, lastName);
  alert(msg);
}
</script>
</head>

<body>
<form>
<input type="button" value="Click me!" onclick="displayMessage('John', 'Smith');" />
</form>
</body>

</html>
